// *** creates individual reeds out of leafs (i_leaf.inc) ***
// *** note to me: make a macro!!!
#declare tmp=.2*rand(r_reed);
#declare num_leaves=20;
#declare cnt_leaves=1;
#declare min_height=10;
#declare max_height=20;
#declare medium_radius=.4;
#declare base_radius=5;
#declare xact=0;
#declare xant=0;
#declare zact=0;
#declare zant=0;
#declare canya01=
union{
 #while (cnt_leaves<=num_leaves)
  #declare xact=sin(pi*cnt_leaves/num_leaves);
  #declare zact=cos(pi*cnt_leaves/num_leaves);
  #declare mpi=pi*(1-(cnt_leaves/num_leaves));
  #include "i_reed_leaf.inc"
   #if (cnt_leaves>2)
   object{leaf
    scale (1.5-(cnt_leaves/num_leaves))
    rotate (40+40*rand(r_reed))*y
    texture{t_verde translate 1000*rand(r_reed)}
    translate <xact,(cnt_leaves*max_height/num_leaves),zact>
   }
   object{leaf
    scale (1.5-(cnt_leaves/num_leaves))
    rotate -(40+40*rand(r_reed))*y
    texture{t_verde translate 1000*rand(r_reed)}
    translate <xact,(cnt_leaves*max_height/num_leaves),zact>
   }
  #end
  cylinder{
   <xant,((cnt_leaves-1)*max_height/num_leaves),zant>,
   <xact,(cnt_leaves*max_height/num_leaves),zact>,
   .15*(1.5-((cnt_leaves+1)/num_leaves))
   texture{t_verde translate 1000*rand(r_reed)}
  }
  #declare xant=xact;
  #declare zant=zact;
  #declare cnt_leaves=cnt_leaves+1;
 #end
}

#declare tmp=.2*rand(r_reed);
#declare num_leaves=19;
#declare cnt_leaves=1;
#declare min_height=10;
#declare max_height=20;
#declare medium_radius=.4;
#declare base_radius=5;
#declare xact=0;
#declare xant=0;
#declare zact=0;
#declare zant=0;
#declare canya02=
union{
 #while (cnt_leaves<=num_leaves)
  #declare mpi=pi*(1-(cnt_leaves/num_leaves));
  #include "i_reed_leaf.inc"
  #declare xact=sin(pi*cnt_leaves/num_leaves);
  #declare zact=cos(pi*cnt_leaves/num_leaves);
   #if (cnt_leaves>2)
   object{leaf
    scale (1.5-(cnt_leaves/num_leaves))
    rotate (40+40*rand(r_reed))*y
    texture{t_verde translate 1000*rand(r_reed)}
    translate <xact,(cnt_leaves*max_height/num_leaves),zact>
   }
   object{leaf
    scale (1.5-(cnt_leaves/num_leaves))
    rotate -(40+40*rand(r_reed))*y
    texture{t_verde translate 1000*rand(r_reed)}
    translate <xact,(cnt_leaves*max_height/num_leaves),zact>
   }
  #end
  cylinder{
   <xant,((cnt_leaves-1)*max_height/num_leaves),zant>,
   <xact,(cnt_leaves*max_height/num_leaves),zact>,
   .15*(1.5-((cnt_leaves+1)/num_leaves))
   texture{t_verde translate 1000*rand(r_reed)}
  }
  #declare xant=xact;
  #declare zant=zact;
  #declare cnt_leaves=cnt_leaves+1;
 #end
}

#declare tmp=.2*rand(r_reed);
#declare num_leaves=21;
#declare cnt_leaves=1;
#declare min_height=10;
#declare max_height=20;
#declare medium_radius=.4;
#declare base_radius=5;
#declare xact=0;
#declare xant=0;
#declare zact=0;
#declare zant=0;
#declare canya03=
union{
 #while (cnt_leaves<=num_leaves)
  #declare mpi=pi*(1-(cnt_leaves/num_leaves));
  #include "i_reed_leaf.inc"
  #declare xact=sin(pi*cnt_leaves/num_leaves);
  #declare zact=cos(pi*cnt_leaves/num_leaves);
   #if (cnt_leaves>2)
   object{leaf
    scale (1.5-(cnt_leaves/num_leaves))
    rotate (40+40*rand(r_reed))*y
    texture{t_verde translate 1000*rand(r_reed)}
    translate <xact,(cnt_leaves*max_height/num_leaves),zact>
   }
   object{leaf
    scale (1.5-(cnt_leaves/num_leaves))
    rotate -(40+40*rand(r_reed))*y
    texture{t_verde translate 1000*rand(r_reed)}
    translate <xact,(cnt_leaves*max_height/num_leaves),zact>
   }
  #end
  cylinder{
   <xant,((cnt_leaves-1)*max_height/num_leaves),zant>,
   <xact,(cnt_leaves*max_height/num_leaves),zact>,
   .15*(1.5-((cnt_leaves+1)/num_leaves))
   texture{t_verde translate 1000*rand(r_reed)}
  }
  #declare xant=xact;
  #declare zant=zact;
  #declare cnt_leaves=cnt_leaves+1;
 #end
}

#declare tmp=.2*rand(r_reed);
#declare num_leaves=19;
#declare cnt_leaves=1;
#declare min_height=10;
#declare max_height=20;
#declare medium_radius=.4;
#declare base_radius=5;
#declare xact=0;
#declare xant=0;
#declare zact=0;
#declare zant=0;
#declare canya04=
union{
 #while (cnt_leaves<=num_leaves)
  #declare mpi=pi*(1-(cnt_leaves/num_leaves));
  #include "i_reed_leaf.inc"
  #declare xact=sin(cnt_leaves*(.125+tmp));
  #declare zact=-cos(cnt_leaves*(.125+tmp));
   #if (cnt_leaves>2)
   object{leaf
    scale (1.5-(cnt_leaves/num_leaves))
    rotate (40+40*rand(r_reed))*y
    texture{t_verde translate 1000*rand(r_reed)}
    translate <xact,(cnt_leaves*max_height/num_leaves),zact>
   }
   object{leaf
    scale (1.5-(cnt_leaves/num_leaves))
    rotate -(40+40*rand(r_reed))*y
    texture{t_verde translate 1000*rand(r_reed)}
    translate <xact,(cnt_leaves*max_height/num_leaves),zact>
   }
  #end
  cylinder{
   <xant,((cnt_leaves-1)*max_height/num_leaves),zant>,
   <xact,(cnt_leaves*max_height/num_leaves),zact>,
   .15*(1.5-((cnt_leaves+1)/num_leaves))
   texture{t_verde translate 1000*rand(r_reed)}
  }
  #declare xant=xact;
  #declare zant=zact;
  #declare cnt_leaves=cnt_leaves+1;
 #end
}
