#include "macros.inc"
#include "win01.inc"
// declare values
#declare rr=seed(111);
#declare v_width=90;
#declare v_height=100;
#declare v_thick=10;
#declare l_aperture=0;
#declare r_aperture=0;
#declare use_glass=on;
#declare rnd_glass=on;
#declare t_woods=
 texture{
  T_Wood7
  normal{wood turbulence .1}
  scale ((v_width+v_height)/v_thick)*.5
 }
#declare t_glass=
 texture{
  Glass3
//  normal{quilted scale 3}   // tipo cuarto de bao/cocina
  normal{bumps .005}         // tipo cristal antiguo, imperfecto
 }
#declare t_metal=
 texture{
  Bronze_Texture
 }
#declare window=
union{
object{
 Window_01(
  v_width,v_height,v_thick,t_woods,t_glass,t_metal,l_aperture,r_aperture,rr,use_glass,rnd_glass
 )
}
height_field{
 png "hf_reja"
 water_level 0.1
 translate -.5
 rotate -90*x
 scale <92,102,2>
 texture{
  //rusted_metal scale 10
  Chrome_Metal normal{crackle scale .1}
 }
 translate -15*z
}
}
#declare little_window=
object{
 Window_01(
  60,60,v_thick,t_woods,t_woods,t_metal,30,45,rr,use_glass,rnd_glass
 )
}
#declare door=
object{
 Window_01(
  110,190,v_thick,t_woods,t_woods,t_metal,0,0,rr,use_glass,rnd_glass
 )
}
